--- ppdev.c.0	Mon Oct  4 16:06:34 1999
+++ ppdev.c	Mon Oct  4 16:07:43 1999
@@ -44,6 +44,7 @@
 #include <linux/parport.h>
 #include <linux/ctype.h>
 #include <linux/poll.h>
+#include <linux/init.h>
 #include <asm/uaccess.h>
 #include "ppdev.h"
 
@@ -540,11 +541,7 @@
 	pp_release
 };
 
-#ifdef MODULE
-#define pp_init init_module
-#endif
-
-int pp_init (void)
+static int __init pp_init (void)
 {
 	if (register_chrdev (PP_MAJOR, CHRDEV, &pp_fops)) {
 		printk (KERN_WARNING CHRDEV ": unable to get major %d\n",
@@ -556,10 +553,11 @@
 	return 0;
 }
 
-#ifdef MODULE
-void cleanup_module (void)
+static void __exit pp_exit (void)
 {
 	/* Clean up all parport stuff */
 	unregister_chrdev (PP_MAJOR, CHRDEV);
 }
-#endif /* MODULE */
+
+module_init(pp_init);
+module_exit(pp_exit);
